Subject: bug#76941: [PATCH] completion-preview.el: Provide an API.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Mar 2025 17:25:48 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 12 Mar 2025 14:55:20 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> +  Emacs can also @emph{suggest} possible in-buffer completions by means
> >> +of a @dfn{completion preview}.  The preview appears after a given
> >> +stretch of buffer text, usually ending at point, and suggest a possible
> >> +completion of that text.  Users can interact with the preview to accept
> >> +the completion suggestion or cycle among multiple suggestions.  Use the
> >> +following functions to create or dismiss a completion preview:
> >
> > The ELisp manual is written for Lisp programmers, not for Emacs
> > users.  So please use "Lisp programs" instead of "users"
> 
> We are telling Lisp programmers what their users can do with the
> completion preview, so this is about users, not other programs.  
> Does that makes sense?

Yes,  But then I'd say something like "Users can then interact with
this preview to ..."